//---------------------------------------------------------------------------------------------------------------------------------------------------
// Last Change: 2023-04-20      Name: sample.cpp        Language: German
//---------------------------------------------------------------------------------------------------------------------------------------------------
// This file contains all language-dependent text definitions of the module SAMPLE_.DLL. Together with
// the file SAMPLE.RC, it is used to build the language library SAMPLE.DLL.
// The library file SAMPLE.LIB which is created during the compilation of this language DLL must be
// linked to the module's main DLL in order to have access to the texts and resources defined here.
//---------------------------------------------------------------------------------------------------------------------------------------------------

#include  "windows.h"
#include  "windowsx.h"
#include  "stdlib.h"
#include  "d2d1.h"
#include  "d2d1_1.h"
#include  "dwrite.h"
#include  "wincodec.h"

#include  "x:\mkcad6\mki_lib6\mki_lib6.h"
#include  "x:\mkcad6\mki_lib6\CompileDate.h"
#include  "x:\mkcad6\mki_lib6\Dialog.h"


//---------------------------------------------------------------------------------------------------------------------------------------------------
MKI_INTERFACE_EXPORT LPWSTR
eStartUpText[] =
{
  L"Release " MKCAD6_VERSION_STRING_W L", %s\n\nCopyright " MK_COPYRIGHT_YEAR_W L" Malz++Kassner GmbH", // 00
  L"Beispiel-Plug-In",   // 01
  L"Beispiel-Plug-In >", // 02
  MKI_END_TEXTW
},

eDialogText[] =
{
  L"Beispiel-Plug-In",                                              // 00
  L"Stern",                                                         // 01
  L"Ausfhrung unmglich.\nEventuell zu wenig Speicher verfgbar.", // 02
  L"Ungltige Anzahl. Erlaubt sind Wert von 3 bis 100.",            // 03
  L"%d Zacken",                                                     // 04
  MKI_END_TEXTW
},

eCommandName[] =
{
  L"Beispiel-Plug-In >Stern (Polylinie) ...",         // 00
  L"Beispiel-Plug-In >Stern (Erweitertes Objekt) ...",// 01
  nullptr,                                            // 02
  L"Beispiel-Plug-In >Infos ...",                     // 03
  MKI_END_TEXTW
},

eCommandEntry[] =
{
  L"&1  Stern (Polylinie) ...",         // 00
  L"&2  Stern (Erweitertes Objekt) ...",// 01
  nullptr,                              // 02
  L"&+  Infos ...",                     // 03
  MKI_END_TEXTW
},

eNewPoint[] =
{
  L"Inneren Radius eingeben", // 00
  L"ueren Radius eingeben", // 01
  MKI_END_TEXTW
};


//---------------------------------------------------------------------------------------------------------------------------------------------------
MKI_INTERFACE_EXPORT MKI_TOOLTIP_ENTRY
eTooltipDialogProperty[] =
{
  { IDD_EDIT0, L"Hier die Anzahl der Zacken eingeben, die der Stern haben soll.\n\nErlaubt sind Werte von 3 bis 100." },

  { IDD_CHECK0, L"Falls markiert, wird die Zackenanzahl an alle selektierten Sterne bertragen.\n\nEs wird automatisch gesetzt, sobald die Zackenanzahl gendert wird." },

  { -1, MKI_END_TEXTW },
};


//---------------------------------------------------------------------------------------------------------------------------------------------------
// This DLL entry procedure must exist in any DLL to be used in Win32. Since our language DLL does not
// need any initialization, this procedure is quite empty.
BOOL WINAPI
DllMain( HINSTANCE f_hInstance, DWORD f_dwReason, LPVOID f_pDummy )
{
  f_hInstance;  // Touch formal parameter to avoid C4100
  f_dwReason;   // Touch formal parameter to avoid C4100
  f_pDummy;     // Touch formal parameter to avoid C4100

  return( true );
}
